#pragma once

#ifndef __sampleboxgame_h__
	#define __sampleboxgame_h__

#include <samplegame.h>

class SampleCallbacksGame : public SampleGame
{
public:
	SampleCallbacksGame();

	virtual void initialize();
	virtual void release();
	virtual void input(GxF32 elapsedTime);
	virtual void update(GxF32 elapsedTime);
	virtual void render(GxF32 elapsedTime);	

	void createBreakableWall(const PxTransform& transform);

	//tu deklaracje metod zdarzeniowych

	virtual void printHelp();

protected:
	PxRigidStatic* planeActor;
	Material planeGraphicsMaterial;

	PxRigidStatic* triggerActor;
	Material triggerMaterial;
	bool triggerFound;

	std::vector<PxJoint*> joints;
	bool isBrokenJoint;
};

#endif /* __sampleboxgame_h__ */